'use strict';

var LiveReloader = require('./live-reload');
var StatusBar = require('./status-bar');
var Settings = require('./settings');

var BreakfastRails = {
  init: function init() {
    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    window.Breakfast = window.Breakfast || {};

    var settings = new Settings(options);
    var liveReloader = new LiveReloader(settings);
    var statusBar = new StatusBar(settings);

    liveReloader.init();
    statusBar.init();
  }
};

module.exports = BreakfastRails;